### Hierarchy

- Spec
  - Component
  - PrintProperty
  - Color
  - Edges
  - Layout
  - Settings

## Index

### Constructors

- constructor

### Properties

- nodeChildDict

## Constructors

### constructor

- new Spec(node?: Node): Spec

- - Defined in print/PrintForm.ts:109

  #### Parameters

  - ##### Optional node: Node

  #### Returns Spec

## Properties

### Protected nodeChildDict

nodeChildDict: Object

- Defined in print/PrintForm.ts:109

Generated using TypeDoc